<!DOCTYPE html>
{% extends "base.html" %}
{% load static %}
{% block content %}
<html lang="en"> 
<head>
 <meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1.0">
 <meta http-equiv="X-UA-Compatible" content="ie=edge">
 <title>Jadwal</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

</head>
<body>
<div class="justify-content-center" style="margin:auto; text-align: center;width:50%">
	<h3>Data Jadwal Layanan Poli</h3>
</div>
    {% if request.session.role == 'admin' %}
    <table class="table table-active table-hover">
        <tr>
            <th>ID Jadwal Layanan Poliklinik</th>
            <th>Hari</th>
            <th>Waktu Mulai</th>
            <th>Waktu Selesai</th>
            <th>Kapasitas</th>
            <th>ID Dokter</th>
            <th>ID Poliklinik</th>
            <th>Action [admin]</th>
        </tr>
        {% for peep in asd %}
        <tr> 
            <td>{{ peep.0 }}</td>
            <td>{{ peep.3 }}</td>
            <td>{{ peep.1 }}</td>
            <td>{{ peep.2 }}</td>
            <td>{{ peep.4 }}</td>
            <td>{{ peep.5 }}</td>
            <td>{{ peep.6 }}</td>
            <td>
                <div class="d-flex flex-row">
                    <form action="{% url 'updatejadwal' %}" method="POST" class="update">
                        {% csrf_token %}
                        <input type="hidden" name="idjadwal" value="{{ peep.0 }}">
                        <input type="hidden" name="edit" value="edit_jadwal" hidden>
                        <button type="submit" class="btn btn-success">Update</button>
                    </form>
                    <form action="{% url 'deletejadwal' %}" method="POST" class="delete">
                        {% csrf_token %}
                        <input type="hidden" name="idjadwal" value="{{ peep.0 }}">
                        <button type="submit" class="btn btn-danger">Delete</button>
                    </form>
                    </div>
                    <br>
            </td>
        </tr>
        {% endfor %}
    </table>
    {% else %}
    <table class="table table-active table-hover">
        <tr>
            <th>ID Jadwal Layanan Poliklinik</th>
            <th>Hari</th>
            <th>Waktu Mulai</th>
            <th>Waktu Selesai</th>
            <th>Kapasitas</th>
            <th>ID Dokter</th>
            <th>ID Poliklinik</th>
        </tr>
        {% for peep in asd %}
        <tr> 
            <td>{{ peep.0 }}</td>
            <td>{{ peep.3 }}</td>
            <td>{{ peep.1 }}</td>
            <td>{{ peep.2 }}</td>
            <td>{{ peep.4 }}</td>
            <td>{{ peep.5 }}</td>
            <td>{{ peep.6 }}</td>
        </tr>
        {% endfor %}
    </table>
    {% endif %}
  </body>
</html>

{% endblock %}